cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Gradle Plugin error in Thingworx Eclipse plugin

SOLVED
Highlighted
vi1
Amethyst

Gradle Plugin error in Thingworx Eclipse plugin

Hello,

I am trying to develop the custom widget. I already installed Eclipse eclipse-jee-2019-06-R-win32-x86_64.

In my Eclipse project, I don't have this option "Run as -> Gradle (STS) Build". For that, I am trying to install below Gradle plugin from Eclipse Market place.

 I am getting error while installing the Gradle . Please refer the attachment.Could you tell me how to solve this issue?

Thank You in Advance

Latha

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Gradle Plugin error in Thingworx Eclipse plugin

I apologize, I misread your question. Since the problem is with the Eclipse marketplace - you may need to reach out to their support/forums as it's not a PTC product.

View solution in original post

4 REPLIES 4

Re: Gradle Plugin error in Thingworx Eclipse plugin

Try updating the build.gradle in the Eclipse extension project as follow :

...
dependencies {
    compile fileTree(dir:'twx-lib', include:'*.jar')
    compile fileTree(dir:'lib', include:'*.jar')
    compile group: 'org.json', name: 'json', version: '20090211' // add this line
}

// add this block
repositories {
    jcenter() 
}
...

Re: Gradle Plugin error in Thingworx Eclipse plugin

Hi,

 

Thank you for information.

 

May I know which file I have to update ?

 

Regards,

Latha

Re: Gradle Plugin error in Thingworx Eclipse plugin

I apologize, I misread your question. Since the problem is with the Eclipse marketplace - you may need to reach out to their support/forums as it's not a PTC product.

View solution in original post

Re: Gradle Plugin error in Thingworx Eclipse plugin

Thank you for reply.

I will post into Eclispe.